POST Add beneficiary
POST /InvestmentAccounts/Initiate
Adds a beneficiary to an account.
Parameters
requestId(query, string) The unique trackingId of the request.
Example:006E0000004TquXIAS.flowRefId(query, string) The unique flowRefId from the source system of the request.
Example:006E0077774TquXIAS.
Request body
Media type: application/json. Schema: BeneficiariesRequest.
Example
InvestmentAccounts:
AccountIds:
- 01axx000003MLytAAG
- 01axx000003MLytAAT
Beneficiaries:
Primary:
-
BeneficiaryName: Gabriel Basso
BeneficiaryType: Institution
IncorporationDate: 04/06/1990
EmailAddress: gabriel.basso@gmail.com
MobileNumber: "9835244324"
InstituionType: Trust
Address:
Country: USA
AddressLine2: Floor 61
AddressType: Mailing Address
State: CA
AddressLine1: 415 Mission St
PostalCode: "94105"
City: San Francisco
SharePercentage: "40"
PerStirpes: yes
-
SharePercentage: "60"
SSN: 368-46-5302
MobileNumber: "9807671486"
RelationshipType: Mother
EmailAddress: canute.gomes@gmail.com
BeneficiaryType: Individual
Address:
Country: USA
AddressLine2: Floor 61
AddressType: Mailing Address
State: CA
AddressLine1: 415 Mission St
PostalCode: "94105"
City: San Francisco
BeneficiaryDob: 04/06/1990
PerStirpes: yes
BeneficiaryName: Canute Gomes
Contingent:
-
SharePercentage: "40"
SSN: 569-94-7728
MobileNumber: "9876541234"
RelationshipType: Grandson
EmailAddress: ngela.bundalovic@gmail.com
BeneficiaryType: Individual
Address:
Country: USA
AddressLine2: Floor 61
AddressType: Mailing Address
State: CA
AddressLine1: 415 Mission St
PostalCode: "94105"
City: San Francisco
BeneficiaryDob: 04/06/1990
PerStirpes: yes
BeneficiaryName: Angela Bundalovic
-
SharePercentage: "60"
SSN: 617-10-7229
MobileNumber: "9862433885"
RelationshipType: Daughter
EmailAddress: shailyn.pierre@gmail.com
BeneficiaryType: Individual
Address:
Country: USA
AddressLine2: Floor 61
AddressType: Mailing Address
State: CA
AddressLine1: 415 Mission St
PostalCode: "94105"
City: San Francisco
BeneficiaryDob: 04/06/1990
PerStirpes: yes
BeneficiaryName: Shailyn Pierre
Responses
- 201
Added beneficiary.
Media type:
application/json. Schema:BeneficiariesResponse.Example
InvestmentAccounts: AccountIds: - 01axx000003MLytAAG - 01axx000003MLytAAT Beneficiaries: Primary: - BeneficiaryName: Gabriel Basso BeneficiaryType: Institution IncorporationDate: 04/06/1990 EmailAddress: gabriel.basso@gmail.com MobileNumber: "9835244324" InstituionType: Trust Address: Country: USA AddressLine2: Floor 61 AddressType: Mailing Address State: CA AddressLine1: 415 Mission St PostalCode: "94105" City: San Francisco SharePercentage: "40" PerStirpes: yes BeneficiaryId: BFR-8066473 - SharePercentage: "60" SSN: 368-46-5302 MobileNumber: "9807671486" RelationshipType: Mother EmailAddress: canute.gomes@gmail.com BeneficiaryId: BFR-6065227 BeneficiaryType: Individual Address: Country: USA AddressLine2: Floor 61 AddressType: Mailing Address State: CA AddressLine1: 415 Mission St PostalCode: "94105" City: San Francisco BeneficiaryDob: 04/06/1990 PerStirpes: yes BeneficiaryName: Canute Gomes Contingent: - SharePercentage: "40" SSN: 569-94-7728 MobileNumber: "9876541234" RelationshipType: Grandson EmailAddress: ngela.bundalovic@gmail.com BeneficiaryId: BFR-6065228 BeneficiaryType: Individual Address: Country: USA AddressLine2: Floor 61 AddressType: Mailing Address State: CA AddressLine1: 415 Mission St PostalCode: "94105" City: San Francisco BeneficiaryDob: 04/06/1990 PerStirpes: yes BeneficiaryName: Angela Bundalovic - SharePercentage: "60" SSN: 617-10-7229 MobileNumber: "9862433885" RelationshipType: Daughter EmailAddress: shailyn.pierre@gmail.com BeneficiaryId: BFR-6065229 BeneficiaryType: Individual Address: Country: USA AddressLine2: Floor 61 AddressType: Mailing Address State: CA AddressLine1: 415 Mission St PostalCode: "94105" City: San Francisco BeneficiaryDob: 04/06/1990 PerStirpes: yes BeneficiaryName: Shailyn Pierre - 400
The server couldn’t process the request due to a client error.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "400" errorMessage: Invalid request message. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 401
The server found no valid credentials for accessing the requested resource.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "401" errorMessage: Required credentials are missing or invalid. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 403
The server denied access to the requested resource.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "403" errorMessage: Access to the requested resource was denied. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 404
The server couldn’t find the requested resource.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "404" errorMessage: The requested resource was not found. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 405
The requested resource doesn't support the request method.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "405" errorMessage: The target resource does not support the requested method. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 406
The target resource didn't have a current representation acceptable to the user agent.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "406" errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 415
The Accept header specified an unsupported media type.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "415" errorMessage: The server denied the request because it is not in a format supported by the target resource. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 429
The API request rate limit was exceeded.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "429" errorMessage: The server denied the request due to exceeded rate limits. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z - 500
An internal error occurred while the server processed the request.
Media type:
application/json. Schema:ErrorResponse.Example
errorCode: "500" errorMessage: The server was unable to process the request due to an internal error. transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b timeStamp: 2019-09-30T15:27:49.274Z